[**@rxap/ngx-timeago v19.0.3**](../README.md)

***

[@rxap/ngx-timeago](../globals.md) / TimeagoLivePipe

# Class: TimeagoLivePipe

Defined in: [timeago-live.pipe.ts:17](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/timeago/src/lib/timeago-live.pipe.ts#L17)

## Implements

- `PipeTransform`

## Constructors

### new TimeagoLivePipe()

> **new TimeagoLivePipe**(): [`TimeagoLivePipe`](TimeagoLivePipe.md)

#### Returns

[`TimeagoLivePipe`](TimeagoLivePipe.md)

## Methods

### transform()

> **transform**(`input`): `Observable`\<`string`\>

Defined in: [timeago-live.pipe.ts:19](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/timeago/src/lib/timeago-live.pipe.ts#L19)

#### Parameters

##### input

`string` | `number` | `Date`

#### Returns

`Observable`\<`string`\>

#### Implementation of

`PipeTransform.transform`
